set(SEMTECH_PLATFORM_SRC_DIR ${PROJECT_SOURCE_DIR}/libs/loramac-node/src)
set(VTAL_SRC_DIR ${PROJECT_SOURCE_DIR}/libs/vTAL/vTAL)

set(PLATFORM_INC_DIR
  ${CMAKE_CURRENT_LIST_DIR}/inc
  ${SEMTECH_PLATFORM_SRC_DIR}/boards
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/cmsis
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/NucleoL476
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/NucleoL476/cmsis
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/STM32L4xx_HAL_Driver/Inc
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/EEPROM_Emul/Core
  ${SEMTECH_PLATFORM_SRC_DIR}/boards/mcu/stm32/EEPROM_Emul/Porting/STM32L4
  ${SEMTECH_PLATFORM_SRC_DIR}/system
  ${SEMTECH_PLATFORM_SRC_DIR}/radio
  ${SEMTECH_PLATFORM_SRC_DIR}/mac
  ${SEMTECH_PLATFORM_SRC_DIR}/mac/region
  ${PLATFORM_SHIELD_INC_DIRS}
  ${VTAL_SRC_DIR}
  ${VTAL_SRC_DIR}/vTAL-src
)

set(SEMTECH_PLATFORM_NAME "NucleoL476")
